KILL(2)

NAME
kill - send signal to a process

SYNOPSIS
#include <signal.h>

int kill(pid_t pid, int sig);

DESCRIPTION
kill() can be used to send any signal to any process group or process.

If pid is positive, then signal sig is sent to pid. In this case, 0 is returned on success, or a negative value on error.

If pid equals -1, then sig is sent to every process except for the first one, from higher numbers in the proc table to lower. In this case, 0 is returned on success, or the last error condition from send_sig() is returned.

If pid is less than -1, then sig is sent to every process in the process group -pid. In this case, the number of processes the signal was sent to is returned, or a negative value for failure.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EINVAL
    An invalid signal is sent.

ESRCH
    The pid or process group does not exist.

EPERM
    The effective userid of the process calling kill() is not equal to the effective userid of pid, unless the superuser called kill().

BUGS
It is impossible to send a signal to task number one, the init process, for which it has not installed a signal handler. This is done to assure the system is not brought down accidentally.

CONFORMING TO
SVID, AT&T, POSIX.1, X/OPEN, BSD 4.3

SEE ALSO
_exit(2), exit(2), signal(2), signal(7)